[PATCH] osmo-ci[master]: Add osmocom-latest-packages.sh script for network:osmocom:la...

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Harald Welte gerrit-no-reply at lists.osmocom.org
Sat Oct 28 21:28:35 UTC 2017


Review at  https://gerrit.osmocom.org/4549

Add osmocom-latest-packages.sh script for network:osmocom:latest

Change-Id: I8b036e57d8a5f4e08081c9641bbef50fead0c52a
---
A scripts/osmocom-latest-packages.sh
1 file changed, 62 insertions(+), 0 deletions(-)


  git pull ssh://gerrit.osmocom.org:29418/osmo-ci refs/changes/49/4549/1

diff --git a/scripts/osmocom-latest-packages.sh b/scripts/osmocom-latest-packages.sh
new file mode 100755
index 0000000..2f0152e
--- /dev/null
+++ b/scripts/osmocom-latest-packages.sh
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+#set -e
+
+# OBS project name
+PROJ=network:osmocom:latest
+
+DT=`date +%Y%m%d`
+
+# start with a checkout of the project
+if [ -d $PROJ ]; then
+	(cd $PROJ && osc up)
+else
+	osc co $PROJ
+fi
+
+build() {
+  echo
+  echo "====> Building $1"
+  rm -rf data
+  [ -d $1 ] || git clone git://git.osmocom.org/$1
+  cd $1
+  git fetch
+  VER=`git describe --abbrev=0 --tags --match "*.*.*" origin/master`
+  git checkout -f -B $VER refs/tags/$VER
+  gbp buildpackage -d -S -uc -us --git-export-dir=$PWD/../data --git-debian-branch=$VER
+  cd ../$PROJ/$1
+  osc rm * || true
+  mv ../../data/*.dsc .
+  mv ../../data/*.tar* .
+  osc add *
+  cd ../../
+}
+
+PACKAGES="
+	libosmocore
+	libosmo-sccp
+	libosmo-abis
+	libosmo-netif
+	libsmpp34
+	libasn1c
+	osmo-iuh
+	osmo-ggsn
+	osmo-sgsn
+	openbsc
+	osmo-pcap
+	osmo-trx
+	osmo-sip-connector
+	osmo-bts
+	osmo-pcu
+	osmo-hlr
+	osmo-mgw
+	osmo-msc
+	osmo-bsc
+	"
+
+for p in $PACKAGES; do
+	build $p
+done
+
+cd $PROJ
+osc ci -m "Latest Tagged versions of $DT"

-- 
To view, visit https://gerrit.osmocom.org/4549
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: I8b036e57d8a5f4e08081c9641bbef50fead0c52a
Gerrit-PatchSet: 1
Gerrit-Project: osmo-ci
Gerrit-Branch: master
Gerrit-Owner: Harald Welte <laforge at gnumonks.org>



More information about the gerrit-log mailing list